For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get extension

get
Path parameters
idstringRequired
Query parameters
selectstringOptional
Responses
200

OK

application/json
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
shortDescriptionstring · nullableOptional
longDescriptionstring · nullableOptional
websitestring · nullableOptional
statusstring · enumOptionalPossible values:
configurationany · nullableOptional
get/public/v1/integration/extensions/{id}
GET /public/v1/integration/extensions/{id} HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "public": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "private": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "icon": "text",
  "revision": 1,
  "vendor": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "type": "Client",
    "status": "Active"
  },
  "shortDescription": "text",
  "longDescription": "text",
  "website": "text",
  "status": "Draft",
  "categories": [
    {
      "id": "text",
      "name": "text",
      "revision": 1,
      "description": "text",
      "status": "Active"
    }
  ],
  "modules": [
    {
      "id": "text",
      "name": "text",
      "revision": 1,
      "description": "text",
      "filters": {
        "group.buyers": [
          "text"
        ]
      },
      "settings": {
        "configurable": true,
        "default": true,
        "paid": true,
        "type": [
          "text"
        ],
        "obsolete": true,
        "eligibility": {
          "multi": true,
          "single": true
        }
      }
    }
  ],
  "statistics": {
    "installations": 1
  },
  "configuration": null,
  "meta": {
    "id": "text",
    "name": "text",
    "revision": 1,
    "version": "text"
  },
  "service": {
    "secret": "text"
  }
}

Last updated

Was this helpful?